using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Microsoft.WindowsMobile.Forms;
using Microsoft.WindowsMobile.PocketOutlook;
using System.Messaging;

namespace SendEmail_CS
{
    public partial class Form1 : Form
    {
        private OutlookSession session;
        private Contact selContact; //Экземпляр объекта Contact

        public Form1()
        {
            InitializeComponent();
            #if DEBUG
                MinimizeBox = false;
            #else       
                MinimizeBox = true;
            #endif

            // Создаем экземпляр сессии Pocket Outlook
            session = new OutlookSession();
         }

        private void menuExit_Click(object sender, EventArgs e)
        {
            Close();
        }

        private void SelectContact()
        {
            // Создаем экзмемпляр окна выбора контактов
            ChooseContactDialog сontactDial = new ChooseContactDialog();

            // а также убираем возможность создания новых контактов
            сontactDial.HideNew = true;

            // выводим диалоговое окно на экран
            if (сontactDial.ShowDialog() == DialogResult.OK)
            {
                selContact = сontactDial.SelectedContact;
                txtContact.Text = selContact.FileAs;
                menuSoftKey1.Text = "Послать";
            }
        }

        private void SendEmail()
        {
            // Создаем экземпляр класса EmailMessage
            EmailMessage message = new EmailMessage();
            // Тема письма
            message.Subject = "Поздравление";
            // Текст письма
            message.BodyText = "Поздравляю с Днем Варенья!";
            Recipient client = new Recipient(selContact.Email1Address);
            message.To.Add(client);
            // добавляем в письмо вложенный файл
            Attachment image = new Attachment(@"\My Documents\My Pictures\Flower.jpg");
            message.Attachments.Add(image);
            
            message.Send("ActiveSync");
            txtContact.Text = string.Empty;
            menuSoftKey1.Text = "Контакты";
        }

        private void menuSoftKey1_Click(object sender, EventArgs e)
        {
            if (menuSoftKey1.Text == "Послать")
                SendEmail();
            else
                SelectContact();            
        }

        private void mnuClear_Click(object sender, EventArgs e)
        {
            txtContact.Text = string.Empty;
            menuSoftKey1.Text = "Контакты";
        }
    }
}